Introduction

Return to Introduction

SDI LPD is a 32-bit print daemon that accepts print jobs from a remote computer and prints them on a Windows printer. SDI LPD runs on Windows 11, 10, 8, 7, XP and Windows Server 2022, 2019, 2016, 2012, 2008, 2003 and 2000. Any computer operating system that supports LPR (VSE, VM, MVS, OS/390, OS/400 and UNIX) can send print jobs via TCP/IP to SDI LPD.

The diagram below the illustrates the print job flow:

See Also:

Features

Getting Started


Features

Protocol Conforms to the standard Line Printer Daemon Protocol ( LPD ). (RFC 1179).

Printers Supports any Windows local and network printers.

Printer Management Pause, resume and delete jobs. Hold jobs in the queue instead of printing. Print jobs to a file instead of a printer.

Page Management Complete control over the page format. Print in portrait or landscape orientation. Set page margins. Control the number of rows and columns per page. Scale the font width to fit the page. Suppress or append form feeds. Send RAW data to the printer.

Default Queue (New!) Define a default queue. Any jobs with an unknown queue name are automatically routed to the default queue.

EBCDIC to ASCII Support EBCDIC to ASCII character translation. Numerous code pages are provided.

LF to CR/LF conversion Support the conversion of Line Feeds to Carriage Return and Line Feeds. (Required for converting UNIX files to Windows text files.)

SCS Supports SNA Character Strings (SCS) used on IBM zSeries (mainframe) and iSeries (AS/400) systems.

Banner Page Supports banner pages.

System Tray Can run in the system tray.

Fonts User selectable fonts.


System Requirements

· Microsoft Windows 11, 10, 8, 7, XP and Windows Server 2022, 2019, 2016, 2012, 2008, 2003 and 2000.

· 500 KB of available hard disk space.

· VGA, 16-color or higher resolution monitor.

· TCP/IP.

· A connection to the Internet or an intranet.


Restrictions

SDI LPD does not support the following:

· Mail when printed

· Plot CIF (CalTech Intermediate Form) files

· DVI files

· Postscript files

· Raster files


Evaluation and License Agreements

Evaluation

SDI LPD is distributed in an evaluation version for a 30 day evaluation. After the 30-day evaluation period, you must register the product with SDI if you wish to continue using the product. See the Registration Instructions for information on how to register SDI LPD.

License Agreement

By registering for and/or ordering SDI LPD, by whatever means, you agree to be bound by the terms and conditions of the Licensing Agreement.


Pricing

The per copy registration prices are found on the following web page:

SDI LPD Prices

Please refer to the License Agreement and the Maintenance and Technical Support Agreements. for SDI's exclusive terms and conditions of use and sale.


Registration Instructions

An evaluation version of SDI LPD may be downloaded from the SDI web site at http://www.sdisw.com.

The evaluation version of SDI LPD will run for 30 days. After 30 days, SDI LPD will no longer operate. To convert your evaluation version into a licensed version you must register the product with SDI and receive a license code.

Registering SDI LPD Via the Internet

The fastest and easiest way to order SDI LPD is via the internet using the SDI Secure Order System. All you need is a web browser and a valid credit card. (SDI accepts Visa, MasterCard, American Express, Eurocard and Optima.)

To connect to our secure order page, open the Help menu and click Purchase Online or click on the following link: http://www.sdisw.com/lpd/order.htm

Complete the online form and download your licensed version of SDI LPD.

Sending Registration Information to SDI

SDI LPD may be registered by filling out the Registration Form and sending it and your payment to SDI. Once you have registered, SDI will send you a copy of the licensed version via e-mail. Full instructions for completing the registration form may be found below.

Filling Out the Registration Form

1. Fill out the customer information section.

2. Complete the delivery information.

a) Make sure your e-mail address is included on the registration form.

b) Write the number of copies of SDI LPD you wish to license in the space provided. Compute the total license maintenance fees using the SDI LPD Prices web page and write it in the space provided.

c) Add the manual order surcharge fee of $35.00 if the order is under $300.

d) Add the license fee, maintenance fee and surcharge fee to compute the total cost.

3. Sign the form.

4. Send the completed form and your payment to the address below.

Mailing Addresses:

SDI USA, Inc.

P. O. Box 5801

San Mateo, CA 94402

Telephone: 650 572 1200

E-mail: admin@sdisw.com

Make your payment in one of the following ways:

a) Check: Send the registration form and your check in United States dollars to the mailing address listed above.

b) Purchase order: Corporate Purchase Orders will be accepted on orders of 15 or more copies. Send or e-mail the registration form and your purchase order to the mailing address or e-mail address listed above. The purchase order is due for settlement within 30 days of registration.

c) Wire Transfer: Clients wishing to pay by wire or electronic funds transfer should contact SDI for instructions. Please e-mail admin@sdisw.com with your relevant details, and we will be happy to provide you with the information. Invoiced accounts will have our bank details on the face of the sales invoice after your order has been processed.


Registration Form

To print this form, click on the Print button on the button bar at the top of the page or select Print Topic... in the File menu. Review the Registration Instructions for information on how to complete this form.

Note that orders submitted via this order form are processed manually. There is a small surcharge (US$35) for orders less than $300 in value submitted by this order form. You can avoid the surcharge by ordering via credit card or increasing your order to at least $300.

Name: | Date:
Company: |
Address: |
City, State, Zip: |
Country: |
Phone: |
E-mail address: |

Product Information

SDI LPD for Windows
_______ | Quantity
_______ | Unit Price | Price per copy. See the SDI LPD price chart
_______ | Subtotal | Unit price * quantity
_______ | Maintenance Plan | 15% of purchase price ($100.00 minimum)
_______ | Processing Fee | $35.00 on orders < $300.00
_______ | Total Price |

Payment method:

___ Purchase Order: purchase order number: ______________________

___ Wire Transfer: wire transfer reference number: ______________________

___ Check Enclosed: enclose check with this form

BY SIGNING THIS FORM YOU CONFIRM THAT YOU HAVE READ AND AGREE TO ALL TERMS AND CONDITIONS OF USE IN THE SDI LPD License Agreement and Maintenance and Technical Support Agreements.

Signature: _____________________________________________________

SDI USA, Inc.

PO Box 5801

San Mateo, CA 94402

Telephone: 650 572 1200


Support/Questions/Suggestions

The best way to contact SDI about support or with questions or suggestions is to send an e-mail message to support@sdisw.com. You may also write or call:

SDI USA, Inc.

PO Box HM 5801

San Mateo, CA 94402

650 572 1200

Please include the following information with any support request:

1. What version of Windows you are running.
2. What version of SDI LPD you are running. Select About SDI LPD... from the Help menu to get the SDI LPD version number and build date.
3. Can the problem be recreated? If so, how?
4. Include the full text of any dialog or message boxes that appear when the problem occurs.
5. Your telephone number and e-mail address.

SDI welcomes any questions about SDI LPD and we will do our best to answer those questions in a timely manner.

SDI would also like your input about possible enhancements to SDI LPD. We are interested in anything that will make SDI LPD easier to use, more efficient or more effective. Many of the product's features came from suggestions from early users of the product.

We are also looking for new product ideas and if you have an idea for a Windows product that you want developed please let us know.


Version History

Changes to Version 3.5, April, 2011

Enhancements and Corrections:

Abend

Corrected an abend that could occur if a default printer was not defined.

Changes to Version 3.4, March, 2010

There have been no changes or corrections made in this release.

Changes to Version 3.3, April, 2008

Enhancements and Corrections:

Printer Initialization | Add the ability to specify printer initialization and termination strings if the "Send raw data to printer" option is on.
Convert LF to CR/LF | The "Convert LF to CR/LF" printer option is now supported when the "Send raw data to printer" option is on.
Print to Disk File | Added the $COMPUTERNAME, $DATE and $TIME variables to the output disk file name variable substitution. Support for environmental variables was also added.

Changes to Version 3.2, August, 2008

Enhancements and Corrections:

Print to Disk File

Added the ability to include variable names in the output disk file name.

Changes to Version 3.1, April, 2007

Enhancements and Corrections:

Windows Vista:

Improved compatibility with Windows Vista.

Changes to Version 3.0, November, 2006

Enhancements and Corrections:

Space in filename:

If the file name in a "Control File" or "Data File" contained a space SDI LPD was not printing it.

Changes to Version 2.5, January, 2006

Enhancements and Corrections:

Print Nulls: | Added the "Print nulls" option to the Print Queue Setup dialog. This option prints nulls as spaces.
Print to Disk: | Added the "Disk File: by username and job number" selection to the Printer options in the Print Queue Setup dialog.
Setup Menu: | The number of print queues that can be displayed in the Setup, Print Queues menu selection was increased from 21 to 101. to the Printer options in the Print Queue Setup dialog.

Changes to Version 2.4, April, 2004

Enhancements and Corrections:

Raster Files: | Added support for printing raster files.
Default Queue: | It is now possible to define a default queue. Any jobs with an unknown queue name are routed to the default queue.
Refresh: | Added the Refresh command to the View menu.

SDI LPD Initial Release 2.3, July 2002


Getting Started

1. Click on the Start button, select All Programs, select SDI LPD, double-click on SDI LPD.
2. Create a print queue to receive your print files.
3. You may minimize SDI LPD to the system tray by opening the Setup menu and selecting Run in System Tray. To maximize the SDI LPD window, right click on the System Tray icon and click on the Restore command in the pop-up menu.
4. If you want SDI LPD to start every time you reload Windows, you should add a shortcut to sdilpd.exe to your Windows Startup Folder (Start, Settings, Taskbar & Start Menu..., Start Menu Programs tab, Add... button, Browse... button, navigate to sdilpd.exe, Open button).


Sending Print Files to LPD

Once SDI LPD is running, it can receive print jobs from remote computers via TCP/IP. Any computer on the network (intranet or Internet) that supports LPR can send the print jobs to SDI LPD. See the following topics for information on printing to SDI LPD in your environment.

Sending Microsoft Windows Print Files to LPD

Sending AS/400 Print Files to LPD

Sending VSE/ESA Print Files to LPD

Sending VM/ESA Print Files to LPD

Sending z/OS TSO Print Files to LPD


Sending Microsoft Windows Print Files to LPD

This section outlines how to send print files from Microsoft Windows to SDI LPD. Additional information about LPR on Windows can be found in the Microsoft Windows Help file.

Windows, 7, 8.10 and 11 - The LPR Port Monitor component must be installed or the LPR command is not available.

Send a Text File to SDI LPD

Use the following steps to send a text file (*.txt) from Windows to SDI LPD. After the connection is working, you may want to set up an LPR port that automatically routes prints jobs to SDI LPD. Those steps are described in the next section of this topic.

lpr command to LPD

1. Create a print queue in LPD. This example uses a print queue name of winq.
2. Use notepad to create a text file (c:\test.txt) with a few lines of text in it.
3. Open a Windows command prompt and enter the following command.

lpr -S 127.0.0.1 -P winq c:\test.txt

Where:

lpr is the Microsoft Windows command

-S 127.0.0.1 127.0.01. is the host name or IP address.. This example uses 127.0.0.1, a loopback IP address which sends the data to SDI LPD on the same PC where the command was issued. Replace 127.0.0.1 with another server name or IP address to send the print to another location.

-P winq winq is the printer queue name defined in SDI LPD.
c:\test.txt c:\test.txt is the name of the file to send to SDI LPD for printing.

4. If you are unable to print, use the Windows ping command to verify the connection with the computer running SDI LPD. For example:

PING 127.0.0.1

Create a Windows LPR Port for LPD Printing (Windows 7, 8, 10 and 11)

This section outlines how to create an LPR printer port on Windows 7, 8, 10 or 11. All print files spooled to this port are routed via TCP/IP to SDI LPD on another Windows PC.

1. Create a SDI LPD printer queue. See Create a print queue in LPD for more information. The print queue you create must specify the "Send raw data to printer" option.
2. Start the "Add Printer Wizard". (Start, Control Panel, Hardware and Sound, Printers Add a Printer)
3. In the Choose a local or network printer dialog, select "Add a local printer".
4. In the Choose a printer port dialog, select the "Create a new port" radio button and in the "Type of port" edit box choose LPR Port. Click the Next button.

ChooseANewPrinterPort50p
5. In the "Add LPR compatible printer" dialog box, fill in the host name or IP address of the computer running SDI LPD and the name of the SDI LPD printer queue. Click the OK button.
6. In the Install the printer driver dialog, select the printer driver for the printer assigned to the SDI LPD printer queue. Click Next >.
7. In the Typed a printer name dialog, select a name for the LPR printer. (To avoid confusing the LPR printer with a standard printer, specify LPR or LPD in the printer name.) Click Next >.
8. In the You've successfully added printer_name dialog, Click the Print a test page button. If everything is working correctly, a test page should be printed. Click the Finish button.
9. You may now print jobs to SDI LPD by selecting the newly created printer port from any Windows program.

Create a Windows LPR Port for LPD Printing (Windows 2000 and XP)

This section outlines how to create an LPR printer port on Windows 2000 0r XP. All print files spooled to this port are routed via TCP/IP to SDI LPD on another Windows PC.

This facility is available in Windows 2000 and Windows XP. "Print Services for Unix" must be installed or LPR ports are not available. See the step-by-step instructions for creating an LPR port below. For more information, review the Windows online help file.

(Windows 2000: Start, Help, Index, LPR, ports)

(Windows XP: Start, Help and Support, Search for LPR)

1. Create a SDI LPD printer queue. See Create a print queue in LPD for more information. The print queue you create must specify the "Send raw data to printer" option.
2. Start the "Add Printer Wizard".
Windows XP: | Start, Control Panel, Printers and Faxes, Add a Printer
Windows 2000: | Start, Settings, Printers, Add Printer
3. In the Add Printer Wizard dialog "Welcome..." screen, Click Next >.
4. In the Add Printer Wizard dialog "Local or Network Printer" screen, select the following radio button and Click Next >.
Windows XP: | "Local printer attached to this computer"
Windows 2000: | "Local printer"
5. In the Add Printer Wizard dialog "Select a Printer Port" screen, select the "Create New Port" radio button. Select "LPR port" from the "Type of port" drop-down list box. Click Next >.

Note: If the "LPR port" selection is not available, "Print Services for Unix" must be installed.
Windows XP: | Start, Control Panel, Add/Remove Programs, Add/Remove Windows Components, Other Network File and Print Services.
Windows 2000: | Start, Settings, Control Panel, Add/Remove Programs, Add/Remove Windows Components, Other Network File and Print Services.
6. In the "Add LPR compatible printer" dialog box, fill in the host name or IP address of the computer running SDI LPD and the name of the SDI LPD printer queue. Click the OK button.
7. In the Add Printer Wizard dialog "Install Printer Software" screen, select the printer driver for the printer assigned to the SDI LPD printer queue. Click Next >.
8. In the Add Printer Wizard dialog "Name Your Printer" screen, select a name for the LPR printer. (To avoid confusing the LPR printer with a standard printer, specify LPR or LPD in the printer name.) Click Next >.
9. In the Add Printer Wizard dialog "Printer sharing" screen, select the "Do not share this printer" radio button. Click Next >.
10. In the Add Printer Wizard dialog "Print Test Page" screen, select the "Yes" radio button. Click Next >. If everything is working correctly, a test page should be printed.
11. In the Add Printer Wizard dialog "Completing the Add Printer Wizard" screen, click the Finish button.
12. You may now print jobs to SDI LPD by selecting the newly created printer port from any Windows program.


Sending AS/400 Print Files to LPD

This section outlines how to send print files from an AS/400 to SDI LPD. Additional information about LPR on the AS/400 is in the following IBM manuals:

OS/400 TCP/IP Fastpath Setup (SC41-5430)

OS/400 TCP/IP Configuration and Reference (SC41-5420)

Send a Spool File to SDI LPD

Use the following steps to send an existing spool file from the AS/400 to SDI LPD. After the connection is working, you may want to set up an AS/400 print queue that automatically routes prints jobs to SDI LPD. Those steps are described in the next section of this topic.

AS400 job to LPD

1. Create an SCS (SNA character String) print queue in LPD. This LPR example sends SCS formatted print files, so check the SNA Character String (SCS) printer check box when the queue is created. This example also uses a print queue name of AS400.

2. On the AS/400, locate the spool file you want to send to SDI LPD. Issue the Work with Spooled Files (WRKSPLF) command to see your spooled files. Press PF10 to display the job information for the spooled files. Make a note of the file, job, user name, job number and spool file number.

3. Issue the Send TCP/IP Spooled File (SNDTCPSPLF) command. For example:

SNDTCPSPLF RMTSYS(*INTNETADR) INTNETADR('1.2.3.4')

RMTPRTQ('AS400') FILE(FILE3)

JOB(000480/STEVE/TESTJOB)

SPLNBR(2) DESTTYPE(*OTHER) TRANSFORM(*NO)

Where:

RMTSYS(*INTNETADR) *INTNETADR indicates the IP address of the computer running SDI LPD is specified in the INTNETADR parameter.
INTNETADR('1.2.3.4') 1.2.3.4 is the IP address of the computer running SDI LPD.
RMTPRTQ('AS400') AS400 is the SDI LPD print queue set up for receiving jobs from the AS/400.
FILE(FILE3) FILE3 is the spool file name.
JOB(000480/STEVE/TESTJOB) 480 is the job number. STEVE is the user name. TESTJOB is the job name.
SPLNBR(2) 2 is the spool file number.
DESTTYPE(*OTHER) *OTHER indicates the remote system is not an AS/400.
TRANSFORM(*NO) *NO indicates the SCS data will not be translated to ASCII.

4. If you are unable to print, use the AS/400 PING command to verify the connection with the computer running SDI LPD. For example:

PING RMTSYS(*INTNETADR) INTNETADR('1.2.3.4')

Create an AS/400 Printer Queue for LPD Printing

This section outlines how to create a printer queue on the AS/400 specifically for LPD printing. All print files spooled to this queue are routed to SDI LPD.

AS400 printer queue

Use the Create Output Queue (CRTOUTQ) command to create a printer queue on the AS/400. For example, create a AS/400 printer queue named "PRT2LPD" that routes print jobs to SDI LPD queue "AS400" at IP address "1.2.3.4".

CRTOUTQ OUTQ(PRT2LPD) RMTSYS(*INTNETADR)

INTNETADR('1.2.3.4') AUTOSTRWTR(1)

RMTPRTQ('AS400') CNNTYPE(*IP)

DESTTYPE(*OTHER) TRANSFORM(*NO)

Where:

OUTQ(PRT2LPD) PRT2LPD is the OS/400 output queue name.
RMTSYS(*INTNETADR) *INTNETADR indicates the IP address of the computer running SDI LPD is specified in the INTNETADR parameter.
INTNETADR('1.2.3.4') 1.2.3.4 is the IP address of the computer running SDI LPD.
RMTPRTQ('AS400') AS400 is the print queue name defined in SDI LPD. See Configure an SCS Print Queue in SDI LPD at the beginning of this chapter.
AUTOSTRWTR(1) 1 autostarts one writer for the queue.
CNNTYPE(*IP) *IP indicates a TCP/IP connection.
DESTTYPE(*OTHER) *OTHER indicates the remote system is not an AS/400.
TRANSFORM(*NO) *NO indicates the SCS data will not be translated to ASCII.


Sending VSE/ESA Print Files to LPD

This section outlines how to send print files from VSE/ESA to SDI LPD. Additional information about LPR on VSE/ESA is in the following manuals:

TCP/IP for VSE User's Guide

TCP/IP for VSE Programmer's Reference

Configure an SDI LPD Print Queue for VSE/ESA Print Files

Before you can send print files from VSE/ESA LPR to SDI LPD, you must create a print queue in LPD.

There are 4 methods of sending print jobs from VSE to LPD:

1. Using the LPR CICS transaction.

2. Using the Automatic LPR client (AUTOLPR) facility to send output from a job to LPD.

3. Using the LPR batch client to print a file and send it to LPD.

4. From an application program using the sockets interface.

The first 3 methods are discussed in detail in the TCP/IP for VSE User's Guide. The last method is discussed in the TCP/IP for VSE Programmer's Reference.


Sending VM/ESA Print Files to LPD

This section outlines how to send print files from VM/ESA to SDI LPD. Additional information about LPR on VM/ESA is in the following manuals:

VM RSCS Planning and Installation (SH24-5219)

VM RSCS Operation and Use (SH24-5220)

vmesa to lpd

1. Create a SDI LPD Print Queue for VM/ESA print files

Before you can send print files from VM/ESA LPR to SDI LPD you must create a print queue in LPD. This example uses a print queue name of VMPRTQ.

2. Configure an LPR link in RSCSTCP CONFIG

The following is an example of the LINKDEFINE and PARM statements required for an LPR link. These statements must be added to RSCSTCP CONFIG on TCPMAINT 198.

Note: RSCS must be shutdown and restarted for the changes to RSCSTCP CONFIG to take affect.

LINKDEFINE LPRONE TYPE LPR AST CLASS *

PARM LPRONE EXIT=LPRXONE HOST=1.2.3.4 PRINTER=VMPRTQ

Where:

LINKDEFINE LPRONE LPRONE is the name of the link. This name is specified on the CMS TAG command to indicate where to send a spool file.

TYPE LPR indicates this is an LPR link.

AST indicates the link will be autostarted when a file is sent to it.

CLASS * indicates all file classes may be processed by the link.

PARM LPRONE Parameter statement for the LPRONE link.

EXIT=LPRXONE specifies the exit module for this link. LPRXONE is the default exit module provided by IBM for non-postscript printers

HOST=1.2.3.4 1.2.3.4 is the IP address of the computer running SDI LPD.

PRINTER=VMPRTQ VMPRTQ is the SDI LPD print queue set up for receiving jobs from VM/ESA.

3. Print a File

Logon to a CMS user and enter the following commands to print the file PROFILE EXEC to the VMPRTQ print queue in SDI LPD.

spool prt rscs

tag dev prt lprone

print profile exec

Where:

spool prt rscs Spools print files to the RSCS reader
tag dev prt lprone Adds a tag to all files in the print queue indicating they are to be routed to printer link "lprone".
print profile exec Prints the profile exec file. This file will be spooled to the RSCS reader and RSCS will route it in LPR format to the IP address in the LPRONE link.


Sending z/OS TSO Print Files to LPD

This section outlines how to send print files from z/OS, OS/390 or MVS TSO to SDI LPD. Additional information about LPR on z/OS is in the following manuals:

OS/390 eNetwork Communications Server: IP User's Guide, GC31-8514

CS for OS/390 TCP/IP Implementation: MVS Applications, SG24-5229-01

1. Create an SDI LPD Print Queue for z/OS print files

Before you can send print files from TSO LPR to SDI LPD you must create a print queue in LPD. This example uses a print queue name of ZOSPRTQ.

2. Print a File

Logon to TSO and enter the following commands to print the file sys1.tcpparms(lpddata) to the ZOSPRTQ print queue in SDI LPD. In this example, the IP address of the PC running SDI LPD is 1.2.3.4

TSO LPRSET ZOSPRTQ@1.2.3.4

TSO LPR 'SYS1.TCPPARMS(LPDDATA)'

Where:

TSO LPRSET ZOSPRTQ@1.2.3.4 Sets your default TCP/IP printer destination. ZOSPRTQ is the SDI LPD printer queue name and 1.2.3.4 is the IP address of the PC running SDI LPD.

TSO LPR 'SYS1.TCPPARMS(LPDDATA)' Prints data set SYS1.TCPPARMS(LPDDATA) to the default TCP/IP printer.


Sending Linux Print Files to LPD

This section outlines how to send print files from Linux to SDI LPD. Additional information about printer configuration and LPR may be found in the Linux help files.

1. Create an SDI LPD Print Queue for Linux print files

Before you can send print files from Linux to SDI LPD you must create a print queue in LPD. This example assumes SDI LPD is running on a Windows PC with an IP address of 192.168.1.2 and a print queue name of LINUXPRTQ.

2. Configure a printer in Linux

The following example was created using Red Hat Linux. The commands and statements may vary slightly for other flavors of Linux.

A. Open printconf (Gnome: Main, Programs, System, Printer Configuration)

B. Click the New button on the printconf tool bar. Fill in the Add a New Print Queue wizard prompts. For example:

Queue Name = SDILPD

Queue Type = Unix Printer (LPD)

Server = 192.168.1.2 (IP address or host name of Windows PC running LPD)

Queue = LINUXPRTQ (This must match the queue defined in SDI LPD)

Print Driver = Text Only Printer

Save the changes. (File, Save Changes)

C. The above example creates this entry in /etc/printcap

SDILPD:\

:ml=0:\

:mx=0:\

:sd=/var/spool/lpd/SDILPD:\

:af=/var/spool/lpd/SDILPD/SDILPD.acct:\

:sh:\

:rm=192.168.1.2:\

:rp=LINUXPRTQ:\

:lpd_bounce=true:\

:if=/usr/share/printconf/util/mf_wrapper:

D. Print a test file using the LPR command. This command will print the /etc/hosts file.

lpr -PSDIPD /etc/hosts


Silent or Unattended Install

If you plan to install SDI LPD on a large number of workstations, you may want to automate the installation. A silent or unattended install allows you to install SDI LPD using a single command from the Windows command line.

Silent Install

The following command performs a silent install:

sdilpd.exe /s /v/qn

The silent install uses the following settings:

Install Application for | The application is installed for all users not just the current user.
Application Folder | c:\Program Files\SDI\SDI LPD c:\Program Files (x86)\SDI\TN3270 Plus (64-bit)
Application Data Folder | Windows 7, 8, 10, 11 Window Server 2008, 2012, 2016, 2019 and 2022: C:\Users\user_name\AppData\Roaming\SDI\SDI LPD\ Windows XP, 2000, 2003: C:\Documents and Settings\user_name\Application Data\SDISDI LPD \

Adding Configuration Settings

The steps above are all that is needed for most installations. However, if you want create a pre-configured system, you need to add SDI LPD registry entries to each user's system. We recommend you set up one SDI LPD workstation with all the desired settings and then copy the configuration settings from that workstation to your other users' workstations.

Export the SDI LPD Registry entries from your pre-configured workstation. To export the SDI LPD Registry entries, run "regedit.exe". In the Registry Editor, select the following folder:

HKEY_CURRENT_USER\Software\SDI\SDI LPD

Open the Registry menu and select Export Registry File... Save the exported file as "sdilpd.reg". The exported file can be imported to the receiving system by the following command. The "-s" switch suppresses information dialog boxes.

regedit -s c:\path\sdilpd.reg


Changing the Listening Port

SDI LPD listens for print jobs on port 515 by default. Port 515 is the standard LPD listening port. If your system uses a non-standard port, you can change the SDI LPD listening port by adding the following DWORD registry entry and specifying the desired port number.

HKEY_CURRENT_USER\Software\SDI\SDI LPD\Settings\Port

Step by Step Instructions:

1. Run regedit.exe to start the Registry Editor. (Start, Run..., regedit.exe)
2. Navigate to HKEY_CURRENT_USER\Software\SDI\SDI LPD\Settings\Port
3. Right click on Settings to display the context menu. Hover over New and select DWORD Value.
4. Change the name of the new registry entry from "New Value #1" to "Port".
5. Right click on "Port" and select Modify.
6. Enter the new listening port number in the "Value data:" edit box.
7. Close the Registry Editor. (Registry, Close)


Global Registry Settings

The following registry entries are read from HKEY_LOCAL_MACHINE if they are not found in HKEY_CURRENT_USER. This allows you to set global values for all users on a PC by moving these entries from HKEY_CURRENT_USER to HKEY_LOCAL_MACHINE.

HKEY_CURRENT_USER\Software\SDI\SDI LPD\Settings\LicenseDataPath

(String value)

HKEY_CURRENT_USER\Software\SDI\SDI LPD\Settings\LicenseCodePath

(String value)


Running LPD as a System Service

SDI LPD is not designed to be run as a system service. However, Microsoft provides two utility programs that will allow you to run SDI LPD as a system service on Windows 2000, Server 2003, Server 2008, XP, and 7

The programs are:

srvany.exe srvany.exe allows standard applications to run as a system service. The srvany.exe runs as the system service and acts a wrapper for the standard application.
instsrv.exe instsrv.exe is required to install srvany.exe as a service.

Downloading Srvany.exe and Instsrv.exe

Srvany.exe and instsrv.exe are included in the Windows resource kits for Windows 2000, XP and Server 2003. A free download of the Windows Server 2003 Resource kit is available at the following location.

Location | Description
Windows Server 2003 Resource Kit Tools | The Window Server 2003 Resource Kit will only install on Windows Server 2003 and Windows XP. However the srvany.exe and instsrv.exe files contained in the kit will run on Windows 2000, XP and 2003

If the above link does not work for you, try an Internet search for srvany.exe and/or instsrv.exe.

Installing LPD as a System Service (Logon as a System Account)

Use the following steps to install SDI LPD as a system service using instsrv.exe and srvany.exe. In these instructions, SDI LPD will refer to SDI LPD running as a standard application. SDILPD (no space) will refer to SDI LPD running as a service.

The steps in this example assume the following:

· Srvany.exe and instsrv.exe have been copied to c:\rktools.
· SDI LPD is installed in c:\program files\sdi\sdi lpd\c:\program files\sdi\TN3270 Plus\.

You will have to modify these instructions if you are using different directories.

1. Install an instance of srvany.exe as a system service wrapper for SDI LPD. Open a command prompt and enter:

c:\rktools\instsrv "SDILPD" "c:\rktools\srvany.exe"

2. Go to the Windows Services Management Console and configure the "SDILPD" service created in step 1.

(Windows 7, 8: Start, Control Panel, System and Maintenance, Administrative Tools, Services)

(Windows XP: Start, Control Panel, Administrative Tools, Services)

(Windows 2000: Start, Settings, Control Panel, Administrative Tools, Services)

Right click on the SDILPD item in the services list and then select Properties from the context menu.

General tab: Set "Startup type" = Automatic (Set to "Manual" for manual startup)
Log On tab: Select the "Local System account" radio button.
Also check the "Allow Service to Interact with the desktop" check box.
Note: In order for the service to interact with the desktop in Windows Vista and above, the Windows Interactive Service Detection service must be started. (Control Panel, System and Maintenance, Administrative Tools, Services, Interactive Service Detection)

3. Add the required registry entries. Run regedit.exe and navigate to HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SDILPD and add a "Parameters" key. Under the Parameters key add the following string values:

Name | Type | Value
Application | REG_SZ | c:\program files\sdi\sdi lpd\sdilpd.exe
AppDirectory | REG_SZ | c:\program files\sdi\sdi lpd\

For example:

4. Go to the Windows Services Management Console and start the "SDILPD" service.

(Windows 7, 8: Start, Control Panel, System and Maintenance, Administrative Tools, Services

(Windows XP: Start, Control Panel, Administrative Tools, Services)

(Windows 2000: Start, Settings, Control Panel, Administrative Tools, Services)

Right click on the SDILPD item in the services list and then select Start from the context menu.

Installing LPD as a System Service (Log On as a User Account)

Install SDI LPD on a user account and set up your print queues and test that everything is working properly with SDI LPD running as a standard application. Once the setup is complete, exit SDI LPD.

Now you can set up the SDILPD service to log on an a User Account instead of a System Account. This setup will allow you to use the SDI LPD queues that you set up when SDI LPD was running as a standard application on a User Account.

Follows the same steps provided in the example above. When you get to step 2, set the following properties:

General tab: Set "Startup type" = Automatic (Set to "Manual" for manual startup)
Log On tab: Select the "This account" radio button. In the "This account" edit box specify the Window's user account you used to setup the SDI LPD print queues. Fill in the user account password.

Complete the rest of the steps in the example above.

Test the LPD service. It should work the same way a SDI LPD running as a standard application. To add, delete or edit queues, log on to the user account you specified in the "This account" edit box and start SDI LPD as a standard application. You will get the "Port 515 is in use by another application" message (because the SDILPD service is running and using port 515). Just click OK and you can add, delete or edit your queues. These changes will immediately be recognized by the SDILPD service.


Command Summary

The File menu contains the following commands:

Print... | Print a job from the print queue.
Delete | Delete a job from the print queue.
Close | Closes the SDI LPD window.


Print

File, Print

Print a job from the print queue.

Shortcuts:

Standard Toolbar: | ToolbarPrint
Keys: | Ctrl+P


Close

Close command (File menu)

File, Close

 Return to Introduction

Close the SDI LPD window.

When the Run in System Tray option is off, the application is closed. When the Run in System Tray option is on, the SDI LPD window is closed, but the application remains running in the system tray.

Shortcuts:

None


Delete

File, Delete

Delete a job from the print queue.

Shortcuts:

Standard Toolbar | ToolbarDelete
Keys: | Del


Command Summary

The Edit menu contains the following commands:

Select All | Select all print jobs.
Deselect | Deselect selected print jobs.


Select All

Edit, Select All

Select all print jobs currently in the print queue.


Deselect

Deselect command (Edit menu)

Edit, Deselect

 Return to Introduction

Deselect selected print jobs.


Command Summary

The View menu contains the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Log File | View the contents of the log file.
Refresh | Refresh the print jobs list.
Control File | View the contents of the control file.
Data File | View the contents of the data file


Toolbar

View, Toolbar

Display or Hide the Toolbar. A check mark appears prior to the menu item when the toolbar is displayed.


Status Bar

View, Status Bar

Display or hide the Status Bar. The Status Bar shows messages and information that describe the state of the application. A check mark appears prior to the menu item when the Status Bar is displayed.


Refresh

View, Refresh

Refresh the print jobs list in the SDI LPD window.

Use this command when print queues are shared (on a network drive) by multiple PCs running SDI LPD. For example, assume the following:

· SDI LPD is running on PC A and PC B.
· PC A and B share a print queue on network drive H.
· The shared print queue name is MainframePrintQueue.
· MainframePrintQueue is setup to hold print jobs rather than printing them.

When SDI LPD on PC A receives a print job into MainframePrintQueue, the job list on PC A is updated but the job list on PC B is not updated. Issuing the Refresh command on PC B causes SDI LPD to rescan all the print queues and update the jobs list. After the refresh, the jobs list on PC B will show the print job received into the MainframePrintQueue by PC A.

Shortcuts:

Standard Toolbar: ToolbarRefresh


Log File

View, Log File

View the contents of the log file. The log file is a date-stamped file containing a record of all print jobs received.


Control File

View, Control File

View the contents of the control file for the selected print job. Each print job is composed of two files, the control file and data file. The control file contains print control information and the data file contains the text to be printed.


Data File

View, Data File

View the contents of the data file for the selected print job. Each print job is composed of two files the control file and data file. The control file contains print control information and the data file contains the text to be printed.


Setup Menu Command Summary

Command Summary

The Setup menu contains the following commands:

Print Queues | Tailor your print queues
Logging... | Setup the SDI LPD Log files.
Run in System Tray... | Toggle the system tray option on or off.
Trace Socket... | Turns TCP/IP socket tracing on or off.


Print Queues command (Setup menu)

Setup, Print Queues..., queue_name or New Queue…

Tailor your print queues. A secondary menu allows you to select an existing print queue or New Queue… Selecting an existing queue displays the Print Queue Setup dialog box so you can modify the print queue settings. Selecting New Queue…, displays the Save As dialog box. Enter the print queue name in the Save As dialog box and click OK. The Print Queue Setup dialog box appears so that you can tailor your new print queue.


Logging command (Setup menu)

Setup, Logging...

 Return to Introduction

Setup the SDI LPD log files. This command displays the Logging Setup dialog. Use this dialog to specify a log file name, manage your log files and activate or deactivate logging. The log file contains information about SDI LPD print job processing.


Run in System Tray (Setup menu)

Setup, Run in System Tray

Toggle the application to or from the system tray. This menu item contains a check mark when the Run in System Tray option is active.


Trace Socket command (Setup menu)

Setup, Trace Socket...

Return to Introduction

Use this diagnostic command to trace socket activity. Normally you will not use this command unless requested to do so by SDI technical support.

To run a trace, perform the following steps:

1. Start SDI LPD.
2. Start the trace.
a) Open the Setup menu and click on Trace Socket...
b) In the Select Trace File Name dialog box, specify a name for the trace file and note the folder that it is in.
3. Receive the failing print job.
4. Stop the trace. Open the Setup menu and click on Trace Socket...
5. E-mail the trace file and a description of the problem to trace@sdisw.com.


Command Summary

The Help menu contains the following commands, which provide you assistance with this application:

Help Topics | Displays the table of contents for the help file. This command also gives you access to the help index and the help find function.
About SDI LPD... | Displays the version number and build date of this application.


Help Topics (Help menu)

Help, Help Topics

Use this command to display the contents of the SDI LPD Help file. From the opening screen, you can jump to step-by-step instructions for using SDI LPD and various types of reference information.


About (Help menu)

About SDI LPD...

Help, About SDI LPD...

 Return to Introduction

Use this command to display the copyright notice, version number and build date of your copy of SDI LPD.


Command Summary

System Tray Menu commands

The System Tray menu is displayed by right-clicking the SDI LPD icon in the system tray. SDI LPD runs in the system tray when the Run in System Tray option is on (Setup, Run in System Tray)

Restore Restore the SDI LPD window.

About Display the About dialog box.

Exit Exit SDI LPD.


Restore command (System Tray menu)

Restore

Right-click system tray icon, Restore

 Return to Introduction

Use this command to restore the SDI LPD window after it has been minimized to the system tray icon (Setup, Run in System Tray).


About command (System Tray menu)

Right-click system tray icon, About SDI LPD...

 Return to Introduction

Use this command to display the copyright notice, version number and build date of your copy of SDI LPD.


Exit command (System Tray menu)

Exit

Right-click system tray icon, Exit

 Return to Introduction

Use this command to exit SDI LPD.


Toolbar

View, Toolbar

The standard toolbar is displayed across the top of the application window, below the menu bar.

To hide or display the standard toolbar: Choose Toolbar from the View.

Click To...

ToolbarPrint | Print the selected job(s) from the print queue.
ToolbarDelete | Delete the selected job(s) from the print queue.
ToolbarRefresh | Refresh the print jobs list in the SDI LPD window.
ToolbarHelp | Display the "About SDI LPD dialog box.


Status Bar

View, Status Bar

The status bar is displayed at the bottom of the application window. To display or hide the status bar, use the Status Bar command in the View menu.


FAQ (Frequently Asked Questions)

This section contains frequently asked questions and answers.


FAQ (Frequently Asked Questions).

Most Common Questions

Can SDI LPD run as a system service?

Port 515 is in use by another application

License Code Questions

The license code is not valid for this release.

The 'License code' field is incorrect.

The 'Licensed to' field is incorrect.

Most Common Questions and Answers

Can SDI LPD run as a system service?

See Running LPD as a System Service.

(Return to top)

Port 515 is in use by another application

You will receive this message if you start a second instance of SDI LPD because the first instance is already using port 515.

If the Windows LPD Print Service is active you will receive this message. The Windows LPD Print Service uses port 515. You must turn off this service to release port 515. To turn off the service:

Windows 7, 8, 10 and 11 | Control Panel, Programs and Features, Turn Windows features on or off, Expand Print and Document Services, Uncheck LPD Print Service
Windows NT, 2000 or XP | Control Panel, Add/Removed Programs, Add/Remove Windows Components, Other Network File and Print Services, Details, Uncheck Print Services for Unix

(Return to top)

License Code Questions and Answers

The license code is not valid for this release.

The license code you entered is for an older release of SDI LPD. The license code is generated for a specific release and will not function with newer releases of TN3270 Plus.

The product release level is three digits separated by periods, for example, 3.4.0. The license code only checks the first two digits, so a license code created for 3.4.0 will work with releases 3.4.0 through 3.4.9. In addition, license codes for release 3.3 and above will work with the next higher release. For example, a release 3.4 license code will also work with release 3.5 (3.5.0 - 3.5.9). However, if you try to use a release 3.4 license code with release 3.6.0 or higher you will get the above error message.

If you have purchased a maintenance and support subscription, updates are free. Send an e-mail to sales@sdisw.com with your current "licensed to" name and the new release level and you will be e-mailed a license code for the new release.

If you do not have a maintenance and support subscription, you will need to subscribe to our maintenance and support plan in order to receive the new product release.

(Return to top)

The 'License code' field is incorrect.

The "License code" field contains a typographical error. Make sure that all the characters are correct.

(Return to top)

The 'Licensed to' field is incorrect.

The name in the "Licensed to" name does not match the name encrypted into the license code.

1. The "Licensed to" name is incorrect or contains a typographical error.
2. Make sure the "Licensed to" name has the correct number of spaces.
3. The "Licensed to" name and license code are issued in pairs. The "Licensed to" name must correspond to the license code you entered.

(Return to top)


Glossary

command prompt

control file

daemon

domain name

fixed-pitch font

IP address

LPD

LPR

ping

windows folder


Print Setup dialog box

Host, Print Setup...

 Return to Introduction

The following options allow you to select the destination printer and its connection.

Printer Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the currently installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.
Orientation Choose Portrait or Landscape.
Paper Size Select the size of the paper that the document is to be printed on.
Paper Source Some printers offer multiple trays for different paper sources. Specify the tray here.
Options Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.
Network... Choose this button to connect to a network location, assigning it a new drive letter.


command prompt

A command prompt window lets you enter command-line commands.

To open a command prompt window:

Windows XP Start, All Programs, Accessories, Command Prompt
Windows 2000 & NT Start, Programs, Accessories, Command Prompt
Windows ME, 98 & 95 Start, Programs, MS-DOS Prompt
DialogCommandPrompt75p


Control file

An LPD control file contains the following information. Each piece of information is preceded by a symbol indicating the type of information:

Symbol Description

H Originating host

P User identification

J Job name for banner page (optional).

L Print banner page (optional).

M Mail when printed (optional).

f print formatted file.

l print file leaving control characters.

o print postscript output file.


Creating LPD Print Queues

You must create one or more print queues to receive print files from a remote computer. The LPR routines on a remote computer send print files to a specific print queue. You may want to set up different print queues to be connected to different Windows printers or that use different print options. For example, you may want one print queue that prints on your local printer and another that prints on a network printer.

The following procedure outlines how to setup a print queue.

1. Open the SDI LPD Setup menu, click on Print Queues... and click on New Queue…
2. In the Save As dialog box, fill in a print queue name (for example, AS400).
3. Configure your queue using the instructions in the Print Queue Setup dialog box topic.


daemon

A background process usually started at system initialization that runs continuously and performs a function required by other processes.


Evaluation Version versus Licensed Version

The evaluation version will run for 30 days. After 30 days the evaluation version will no longer run. To convert the evaluation version into a licensed version, you must register the product and receive a license code from SDI. See the registration form included in this help file.


domain name

A domain name is an alias for an IP address. It allows you to replace a difficult to remember IP address (66.155.44.250) with a domain name (sdisw.com). The domain name is translated to an IP address by a Domain Name System (DNS) server.


fixed-pitch font

A font in which all the characters are the same width. For example "W" is the same width as "i". In a variable-pitch (proportional) font, different characters have different widths. For example, a "W" is wider than an "i". A fixed-pitch font is required to align the characters in columns on a screen or printer. Courier and Courier New are fixed-pitch fonts. This is Courier New, a fixed-pitch font. This is Arial, a variable-pitch font.


Using SDI LPD on an Intranet (Network)

SDI LPD can be installed on a network disk and accessed by network users. See the License Agreement to review the licensing requirements for network installation.


Code Page Setup dialog box

Setup, Print Queue, queue_name, Change... button

Use the Code Page Setup dialog box to select a host language code page (*.cpg) file. The code page determines the character translations. SDI supplies code pages for many countries. The Code Page Setup dialog box contains the following fields:

Drop-down list box Select a code page from the code pages available in the working directory.

File name File name of the currently selected code page.

Translation table EBCDIC and ASCII representations for each character in the language code page.

Select a code page from the drop-down list box, or enter the file name of a new code page in the File name edit box, or click the Browse button and select a new code page from the Select Code Page File dialog box.

The SDI-supplied code pages must never be modified. If you need to tailor a code page to meet your needs, make a copy of the SDI code page file that is closest to what you need. Modify your copy of the code page to fit your needs with a word processor. Save it with a unique name. You may now select your code page just as you would select one of the SDI-supplied code pages.


Logging Setup dialog box

Setup, Logging...

 Return to Introduction

Use the Logging Setup dialog box to manage your log files.

The Logging Setup dialog contains the following fields:

Log file location | The full path and file name of the SDI LPD log file. A date stamp is appended to the file name and a new log file is created each day. For example, if the log file name is c:\log file.log, the file created will be c:\ log file yyyy-dd-mm.log where yyyy-mm-dd is the current date.
Disable logging | Check this box to disable logging.
Automatically delete log files older than | Check this box to have SDI LPD automatically delete log files more than the specified number of days old.
Log files | This list box contains a list of all available log files.
View button | View the selected log file. The selected log file is opened in Notepad. This button is disabled if multiple log files are selected.
Delete button | Delete the selected log file(s).
Delete All button | Delete all the log files.


Page Layout dialog box

Setup, Print Queues..., queue_name, Page Setup... button

Select page margins, size and orientation.

Margins

Left Specify the width of the left margin.
Right Specify the width of the right margin.
Top Specify the width of the top margin.
Bottom Specify the width of the bottom margin.

Orientation

Portrait Specify portrait.
Landscape Specify landscape.

Page Size

Rows Specifies the number of rows per page
Columns Specifies the maximum number of characters on a print line. If this specification is less than the width of a print line received from the host, the print line is truncated. This value is also used for calculating font compression when the Compress font width to fit page option is checked.


Print Queue Setup dialog box

Setup, Print Queues..., queue_name

The Print Queue Setup dialog box contains all the customization options for your printer queues.

Print Queue Select a print queue from the drop-down list box. Click on the New button to create a new print queue. Click on the Delete button to delete a print queue. You must delete all jobs in the print queue before the print queue can be deleted.

Printer Select the printer from the drop-down list box. Click on the adjacent Page Setup... button to the Page Layout dialog box and change the printer setup for this session.

<<Disk File: create>> creates the disk file specified in the Filename edit box rather than printing the file. If the file does already exists, it is overlayed.

<<Disk File: append>> indicates print output should be appended to the disk file specified in the Filename edit box rather than printed. If the file does not exist, it is created.

Filename (Optional) Specify the full path and file name to redirect printed output to a file. You must specify <<Disk File: create>> or <<Disk File: append>> in the Printer drop-down list box to enable this edit box. Click the Browse... button to display the Select Printer Screen File Name dialog and choose a file. You can specify any of the following variables in the filename and the variable will be replaced with the associated information. Variable names must be in upper case.
Variable Substitution
$COMPUTERNAME Computer name.
$DATE Current date in YYYY-MM-DD format.
$JOBNO Job number.
$SOURCE LPR print job file that was used to create the print job.
$TIME Current time in HH-MM-SS format.
$USER Current logged on user name.

For example, if you are printing job number 005 and you specify c:\folder\test $JOBNO.txt in the Filename edit box, the output file will be c:\folder\test 005.txt. You may also specify Windows environmental variables (e.g. %computername%, %username%, %appdata%, %programfiles%, etc).

Font Select a font for this print queue. Click the adjacent Change... button to change the font and/or font size.

Spool Folder Specify a folder to contain jobs in the print queue. Click the adjacent Browse... button to select a folder.

Pause printing Check this box to pause printing for this queue. Uncheck this box to restart printing.

Suppress banner page Check this box to suppress the banner page.

Hold jobs in queue after printing Check this box if you do not want print jobs deleted after they are printed.

Hold jobs in queue without printing Check this box if you want to save prints jobs in the queue, but do not want to print them.

Substitute CR/LF for LF Check this box to have LF (Line Feed) translated to CR/LF (Carriage Return/Line Feed).

Default Queue Check this box to make this queue the default queue. If this option is set, any print job destined for an undefined queue is sent to the default queue.

Scale font width to fit page Check this box to scale the print font so print lines fit within the width of the printed page. If this option is not checked, lines that extend beyond the page width are truncated. Compression is computed using the number of characters specified in the COLS: edit box in the Page Layout dialog box .

Send raw data to printer Check this box to send data directly to the printer without formatting. Use this setting if the data contains imbedded printer control commands.

Suppress initial form feed Check this box to suppress any form feeds (blank pages) at the beginning of a print job.

Append form feed to end of job Check this box if the "Send raw data to printer" option is used and the raw data does not contain a trailing form feed.

Use lines per inch: Check this box to specify the number of lines per inch to be printed on the page. This option calculates the font height and sets the font size accordingly. This option overrides the font size specified in the Font edit box.

Printer init. string: (Optional) Specify a printer initialization string. Use this field to specify hexadecimal printer control codes to initialize the printer. You may include spaces in this field to improve readability. This string is sent to the printer before each print job. This field is only available when the "Send raw data to printer" option is checked.
Printer term. string: (Optional) Specify a printer termination string. Use this field to specify hexadecimal printer control codes to terminate the printer. You may include spaces in this field to improve readability. This string is sent to the printer after each print job. This field is only available when the "Send raw data to printer" option is checked.
Print nulls: Check this box to replace null characters in the print stream with spaces. If this option is not checked, nulls are removed from the print stream. Try this option if the columns in some of your reports do no line up correctly.

SNA Character String (SCS) Printer Check this box to indicate an SCS printer. AS/400 and IBM mainframe computers can create SCS format print files.

Host Code Page Specify a host language code page. The code page determines the EBCDIC to ASCII character translations for the print job. SDI supplies code pages for many countries (for example, GermAust.cpg and France.cpg). Click the Change... button to display your current code page in the Code Page Setup dialog box . If you wish to select a new code page, click the Browse... button in the Code Page Setup dialog box to display the Select Code Page File dialog box and select a new .cpg file. If no code page is specified, the default code page is used.


intranet

A TCP/IP network belong to an organization. An intranet is used to share information just like the Internet, but an intranet is a private network. Access is limited to authorized users only.

Think of an intranet as a scaled down version of the Internet.


IP address

Every computer connected to the Internet or an intranet is assigned a unique number known as an IP (Internet Protocol) address. The IP address identifies a specific computer and is used when you want to communicate with that computer. Think of the IP address as an number your computer can call to communicate with another computer.

The IP address is 4 sets of numbers separated by periods and looks like this:

207.47.245.214

If you need to find out the IP address for another computer you should talk to the network administrator at that computer site.

If you need to find out the IP address of your computer, open a command prompt and type "IPCONFIG".


LPD

Line Printer Daemon - Receives print jobs from a Line Print Requestor (LPR) and prints the jobs on a printer.


LPR

Line Print Requester - Sends print jobs via TCP/IP to a remote computer running a Line Printer Daemon.


SDI LPD Help Contents (.cnt) file damaged

The SDI LPD help contents file has been damaged or erased, please reinstall SDI LPD or send an e-mail to support@sdisw.com.


Ping

Ping is a command line utility used to verify a connection to a remote computer. If you are having trouble connecting to a host computer, the first step in diagnosing the problem is to ping the host computer. You can ping either the domain name or the IP address. For example:

ping sdisw.com

ping 65.155.44.250

If you receive a reply, you have network connectivity to that host computer. If you receive a "Request timed out" message, you have a network problem that needs to be resolved. If you receive an "unknown host" message, the host name you specified could not be translated to an IP address.

The name ping comes from the sound sonar makes. As originally, the utility was inspired by the principle of echo location use by sonar. You can learn more about ping at The Story of Ping web site.


port number

Computers on the Internet or an intranet are identified by their IP address or domain name. When you connect to one of these computers you must also specify a port number. The port number identifies the service you want to communicate with. Since computers can run many services, the correct port number is needed to communicate with the correct service.

Port numbers range from 0 to 65536. Here are some commonly used port numbers:

Port Description

21 FTP

23 telnet
80 http
110 pop3
515 LPD

The vast majority of the time network administrators follow these guidelines when setting up their servers, but they are not required to do so. If you are unsure about the correct port number, you should contact the network administrator at the host computer site.


Windows folder

The Windows folder is found in different locations on different versions of Windows. The default locations are as follows:

Windows 9x C:\Windows
NT C:\WINNT
Windows 2000 C:\WINNT
Windows XP C:\Windows